//! The Binding library is a place where common macros and functions
//! that are used when interfacing with C libraries can be stored
//! for use amoungst all of CyberMages LLC's projects.
#[macro_use]
extern crate scribe;



// Basic C type macro modules.
mod c_enum;
mod c_flags;
mod c_string;

// Raw platform data retrieval.
mod raw;



pub use self::c_string::{EMPTY_STRING, from_c_string, to_c_string};
pub use self::raw::{AsRaw, AsRawMut, AsRawPtr, AsRawMutPtr, FromRaw, IntoRaw};
